### File

`packages/components/eui-table-v2/selectable-row/eui-table-v2-selectable-row.component.ts`

### Description

Component used internally by `eui-table-v2` to make a row selectable.

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

selector | `tr[isDataSelectable]`
imports | `FormsModule` `EUI_INPUT_CHECKBOX`
templateUrl | `./eui-table-v2-selectable-row.component.html`

### Index

###### Methods
Public toggleCheckedState
###### Inputs
isChecked isDataSelectable isKeyboardSelectable isSingleSelectable
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isChecked
Type : `boolean`
Default value : `false`
Wheter the row is selected.

isDataSelectable
Type : `DATA`
Data of the row.

isKeyboardSelectable
Type : `boolean`
Default value : `false`
Wheter the selection can be done with the keyboard.

isSingleSelectable
Type : `boolean`
Default value : `false`
Wheter only one row is selectable.

### HostBindings

class
Type : `string`

### Methods

Public toggleCheckedState
`toggleCheckedState(e: Event)`
Handle the change of the selected status. Parameters :
Name | Type | Optional | Description
e | `Event` | No | Change Event
Returns : `void`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

# results matching ""

# No results matching ""